import { OnInit } from "@angular/core";
import { StiModelService } from "../../../../services/model.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import * as i0 from "@angular/core";
export declare class StiSimpleEnumEditorComponent implements OnInit {
    model: StiModelService;
    helper: StiHelperService;
    property: StiEditorProperty;
    object?: any;
    get type(): string;
    set type(value: string);
    get enum(): string[];
    constructor(model: StiModelService, helper: StiHelperService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiSimpleEnumEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiSimpleEnumEditorComponent, "sti-simple-enum-editor", never, { "property": { "alias": "property"; "required": false; }; "object": { "alias": "object"; "required": false; }; }, {}, never, never, false, never>;
}
